<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: car_list_panel_admin.php
| Author : Smokeman
| Email: smokeman@esenet.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."car_list_panel/infusion_db.php";
if (!checkrights("ADS")) { redirect("index.php"); }

if (file_exists(INFUSIONS."car_list_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."car_list_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."car_list_panel/locale/English.php";
}

add_to_title(" - Auto database system");

if (iADMIN) {

	if (isset($_GET['action']) && $_GET['action'] == "refresh") {
	$i = 1;
	$result = dbquery("SELECT * FROM ".DB_ADS." ORDER BY car_order");
          while ($data = dbarray($result)) {
		$result2 = dbquery("UPDATE ".DB_ADS." SET car_order='$i' WHERE car_id='".$data['car_id']."'");
		$i++;
	}
    redirect(FUSION_SELF.$aidlink);
    
	} elseif (isset($_POST['cancel'])) {
    redirect(FUSION_SELF.$aidlink);
    
	} elseif ((isset($_GET['action']) && $_GET['action'] == "deletethumb1") && (isset($_GET['car_id']) && isnum($_GET['car_id']))) {
    $data = dbarray(dbquery("SELECT car_pic1, car_order FROM ".DB_ADS." WHERE car_id='".$_GET['car_id']."'"));
    $result = dbquery("UPDATE ".DB_ADS." SET car_pic1='$photo1' WHERE car_id='".$_GET['car_id']."'");
    @unlink(IMAGES."cars/".$data['car_pic1']);
    redirect("".FUSION_SELF."".$aidlink."&action=edit&amp;car_id=".$_GET['car_id']."");
		
	}	elseif ((isset($_GET['action']) && $_GET['action'] == "deletethumb2") && (isset($_GET['car_id']) && isnum($_GET['car_id']))) {
    $data = dbarray(dbquery("SELECT car_pic2, car_order FROM ".DB_ADS." WHERE car_id='".$_GET['car_id']."'"));
    $result = dbquery("UPDATE ".DB_ADS." SET car_pic2='$photo2' WHERE car_id='".$_GET['car_id']."'");
    @unlink(IMAGES."cars/".$data['car_pic2']);
    redirect("".FUSION_SELF."".$aidlink."&action=edit&amp;car_id=".$_GET['car_id']."");;
	
	}	elseif ((isset($_GET['action']) && $_GET['action'] == "deletethumb3") && (isset($_GET['car_id']) && isnum($_GET['car_id']))) {
    $data = dbarray(dbquery("SELECT car_pic3, car_order FROM ".DB_ADS." WHERE car_id='".$_GET['car_id']."'"));
    $result = dbquery("UPDATE ".DB_ADS." SET car_pic3='$photo3' WHERE car_id='".$_GET['car_id']."'");
    @unlink(IMAGES."cars/".$data['car_pic3']);
    redirect("".FUSION_SELF."".$aidlink."&action=edit&amp;car_id=".$_GET['car_id']."");
		
	}	elseif ((isset($_GET['action']) && $_GET['action'] == "deletethumb4") && (isset($_GET['car_id']) && isnum($_GET['car_id']))) {
    $data = dbarray(dbquery("SELECT car_pic4, car_order FROM ".DB_ADS." WHERE car_id='".$_GET['car_id']."'"));
    $result = dbquery("UPDATE ".DB_ADS." SET car_pic4='$photo4' WHERE car_id='".$_GET['car_id']."'");
    @unlink(IMAGES."cars/".$data['car_pic4']);
    redirect("".FUSION_SELF."".$aidlink."&action=edit&amp;car_id=".$_GET['car_id']."");
	
	}	elseif ((isset($_GET['action']) && $_GET['action'] == "deletethumb5") && (isset($_GET['car_id']) && isnum($_GET['car_id']))) {
    $data = dbarray(dbquery("SELECT car_pic5, car_order FROM ".DB_ADS." WHERE car_id='".$_GET['car_id']."'"));
    $result = dbquery("UPDATE ".DB_ADS." SET car_pic5='$photo5' WHERE car_id='".$_GET['car_id']."'");
    @unlink(IMAGES."cars/".$data['car_pic5']);
    redirect("".FUSION_SELF."".$aidlink."&action=edit&amp;car_id=".$_GET['car_id']."");
	
	}	 elseif ((isset($_GET['action']) && $_GET['action'] == "moveup") && (isset($_GET['car_id']) && isnum($_GET['car_id']))) {
    $data = dbarray(dbquery("SELECT * FROM ".DB_ADS." WHERE car_order='".$_GET['order']."'"));
    $result = dbquery("UPDATE ".DB_ADS." SET car_order=car_order-1 WHERE car_id='".$data['car_id']."'");
    $result = dbquery("UPDATE ".DB_ADS." SET car_order=car_order+1 WHERE car_id='".$_GET['car_id']."'");
    redirect(FUSION_SELF.$aidlink);
    
	} elseif ((isset($_GET['action']) && $_GET['action'] == "movedown") && (isset($_GET['car_id']) && isnum($_GET['car_id']))) {
    $data = dbarray(dbquery("SELECT * FROM ".DB_ADS." WHERE car_order='".$_GET['order']."'"));
    $result = dbquery("UPDATE ".DB_ADS." SET car_order=car_order+1 WHERE car_id='".$data['car_id']."'");
    $result = dbquery("UPDATE ".DB_ADS." SET car_order=car_order-1 WHERE car_id='".$_GET['car_id']."'");
    redirect(FUSION_SELF.$aidlink);

	} elseif ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['car_id']) && isnum($_GET['car_id']))) {
    $data = dbarray(dbquery("SELECT * FROM ".DB_ADS." WHERE car_id='".$_GET['car_id']."'"));
    $result = dbquery("UPDATE ".DB_ADS." SET car_order=car_order-1 WHERE car_order>'".$data['order']."'");

	@unlink(IMAGES."cars/".$data['car_pic1']);
	@unlink(IMAGES."cars/".$data['car_pic2']);
	@unlink(IMAGES."cars/".$data['car_pic3']);
	@unlink(IMAGES."cars/".$data['car_pic4']);
	@unlink(IMAGES."cars/".$data['car_pic5']);

    $result = dbquery("DELETE FROM ".DB_ADS." WHERE car_id='".$_GET['car_id']."'");
    redirect(FUSION_SELF.$aidlink);
    
  } elseif (isset($_POST['car_submit'])) {
    if ($_POST['car_model'] != "") {
  $car_order = trim(stripinput($_POST['car_order']));
  $car_model = trim(stripinput($_POST['car_model']));
	$car_year = trim(stripinput($_POST['car_year']));
	$car_km = trim(stripinput($_POST['car_km']));
	$car_pris = trim(stripinput($_POST['car_pris']));
	$car_type = trim(stripinput($_POST['car_type']));
	$car_fuel = trim(stripinput($_POST['car_fuel']));
	$car_doors = trim(stripinput($_POST['car_doors']));
	$car_color = trim(stripinput($_POST['car_color']));
	$car_udstyr = trim(stripinput($_POST['car_udstyr']));
    		
    $result = dbquery("SELECT * FROM ".DB_ADS." WHERE car_id='".$data['car_id']."'");
    if (dbrows($result)) {
	$data = dbarray($result);
        $photo1 = $data['car_pic1'];
        $photo2 = $data['car_pic2'];
        $photo3 = $data['car_pic3'];
        $photo4 = $data['car_pic4'];
        $photo5 = $data['car_pic5'];
}

    if ($car_id == ""){
    $result = dbquery("SELECT MAX(car_id) AS last_id FROM ".DB_ADS);
    if (dbrows($result)) {
        $data = dbarray($result);
        $car_id = $data['last_id']+1;
        }
}

    if ($car_model != ""){

       		   $newphoto1 = $_FILES['car_pic1'];
           	  if ($photo1=="" && !empty($newphoto1['name']) && is_uploaded_file($newphoto1['tmp_name'])) {
   		        $photoext1 = strrchr($newphoto1['name'],".");
		          $photoname1 = substr($newphoto1['name'], 0, strrpos($newphoto1['name'], "."));
		          if (preg_match("/^[-0-9A-Z_\[\]]+$/i", $photoname1) && preg_match("/(\.gif|\.GIF|\.bmp|\.BMP|\.jpg|\.JPG|\.png|\.PNG)$/", $photoext1)) {
			         $photo1 = $photoname1."[".$car_id."]".$photoext1;
			         move_uploaded_file($newphoto1['tmp_name'], IMAGES."cars/".$photo1);
			         chmod(IMAGES."cars/".$photo1,0644);
               if (!verify_image(IMAGES."cars/".$photo1)){
					    @unlink(IMAGES."cars/".$photo1);
					    $photo1 = "";
				     } 
			      } else {$photo1="";}
		       }
		       
		              		   $newphoto2 = $_FILES['car_pic2'];
           	  if ($photo2=="" && !empty($newphoto2['name']) && is_uploaded_file($newphoto2['tmp_name'])) {
   		        $photoext2 = strrchr($newphoto2['name'],".");
		          $photoname2 = substr($newphoto2['name'], 0, strrpos($newphoto2['name'], "."));
		          if (preg_match("/^[-0-9A-Z_\[\]]+$/i", $photoname2) && preg_match("/(\.gif|\.GIF|\.bmp|\.BMP|\.jpg|\.JPG|\.png|\.PNG)$/", $photoext2)) {
			         $photo2 = $photoname2."[".$car_id."]".$photoext2;
			         move_uploaded_file($newphoto2['tmp_name'], IMAGES."cars/".$photo2);
			         chmod(IMAGES."cars/".$photo2,0644);
               if (!verify_image(IMAGES."cars/".$photo2)){
					    @unlink(IMAGES."cars/".$photo2);
					    $photo2 = "";
				     } 
			      } else {$photo2="";}
		       }
		       
		              		   $newphoto3 = $_FILES['car_pic3'];
           	  if ($photo3=="" && !empty($newphoto3['name']) && is_uploaded_file($newphoto3['tmp_name'])) {
   		        $photoext3 = strrchr($newphoto3['name'],".");
		          $photoname3 = substr($newphoto3['name'], 0, strrpos($newphoto3['name'], "."));
		          if (preg_match("/^[-0-9A-Z_\[\]]+$/i", $photoname3) && preg_match("/(\.gif|\.GIF|\.bmp|\.BMP|\.jpg|\.JPG|\.png|\.PNG)$/", $photoext3)) {
			         $photo3 = $photoname3."[".$car_id."]".$photoext3;
			         move_uploaded_file($newphoto3['tmp_name'], IMAGES."cars/".$photo3);
			         chmod(IMAGES."cars/".$photo3,0644);
               if (!verify_image(IMAGES."cars/".$photo3)){
					    @unlink(IMAGES."cars/".$photo3);
					    $photo3 = "";
				     } 
			      } else {$photo3="";}
		       }
		       
		              		   $newphoto4 = $_FILES['car_pic4'];
           	  if ($photo4=="" && !empty($newphoto4['name']) && is_uploaded_file($newphoto4['tmp_name'])) {
   		        $photoext4 = strrchr($newphoto4['name'],".");
		          $photoname4 = substr($newphoto4['name'], 0, strrpos($newphoto4['name'], "."));
		          if (preg_match("/^[-0-9A-Z_\[\]]+$/i", $photoname4) && preg_match("/(\.gif|\.GIF|\.bmp|\.BMP|\.jpg|\.JPG|\.png|\.PNG)$/", $photoext4)) {
			         $photo4 = $photoname4."[".$car_id."]".$photoext4;
			         move_uploaded_file($newphoto4['tmp_name'], IMAGES."cars/".$photo4);
			         chmod(IMAGES."cars/".$photo4,0644);
               if (!verify_image(IMAGES."cars/".$photo4)){
					    @unlink(IMAGES."cars/".$photo4);
					    $photo4 = "";
				     } 
			      } else {$photo4="";}
		       }
		       
		              		   $newphoto5 = $_FILES['car_pic5'];
           	  if ($photo5=="" && !empty($newphoto5['name']) && is_uploaded_file($newphoto5['tmp_name'])) {
   		        $photoext5 = strrchr($newphoto5['name'],".");
		          $photoname5 = substr($newphoto5['name'], 0, strrpos($newphoto5['name'], "."));
		          if (preg_match("/^[-0-9A-Z_\[\]]+$/i", $photoname5) && preg_match("/(\.gif|\.GIF|\.bmp|\.BMP|\.jpg|\.JPG|\.png|\.PNG)$/", $photoext5)) {
			         $photo5 = $photoname5."[".$car_id."]".$photoext5;
			         move_uploaded_file($newphoto5['tmp_name'], IMAGES."cars/".$photo5);
			         chmod(IMAGES."cars/".$photo5,0644);
               if (!verify_image(IMAGES."cars/".$photo5)){
					    @unlink(IMAGES."cars/".$photo5);
					    $photo5 = "";
				     } 
			      } else {$photo5="";}
		       }

          if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['car_id']) && isnum($_GET['car_id']))) {
          
          if (isset($_POST['del_photo'])) { @unlink(IMAGES."cars/".$photo1);$photo1="";}
          if (isset($_POST['del_photo'])) { @unlink(IMAGES."cars/".$photo2);$photo2="";}
          if (isset($_POST['del_photo'])) { @unlink(IMAGES."cars/".$photo3);$photo3="";}
          if (isset($_POST['del_photo'])) { @unlink(IMAGES."cars/".$photo4);$photo4="";}
          if (isset($_POST['del_photo'])) { @unlink(IMAGES."cars/".$photo5);$photo5="";}
          
          
    	    $result = dbquery("UPDATE ".DB_ADS." SET car_model='$car_model', car_year='$car_year', car_km='$car_km', car_pris='$car_pris', ".(isset($photo1)?" car_pic1='$photo1',":"")." ".(isset($photo2)?" car_pic2='$photo2',":"")." ".(isset($photo3)?" car_pic3='$photo3',":"")." ".(isset($photo4)?" car_pic4='$photo4',":"")." ".(isset($photo5)?" car_pic5='$photo5',":"")." car_type='$car_type', car_fuel='$car_fuel', car_doors='$car_doors', car_color='$car_color', car_udstyr='$car_udstyr' WHERE car_id='".$_GET['car_id']."'");
		   } else {
     	    if(!$car_order) $car_order = dbresult(dbquery("SELECT MAX(car_order) FROM ".DB_ADS),0)+1;
		      $result = dbquery("UPDATE ".DB_ADS." SET car_order=car_order+1 WHERE car_order>='".$_GET['order']."'");
          $result = dbquery("INSERT INTO ".DB_ADS." VALUES('$car_id', '$car_order', '$car_model', '$car_year', '$car_km', '$car_pris', '$car_pic1', '$car_pic2', '$car_pic3', '$car_pic4', '$car_pic5', '$car_type', '$car_fuel', '$car_doors', '$car_color', '$car_udstyr')");
          }
}
       redirect(FUSION_SELF.$aidlink);
	   } else {
                opentable($locale['ads200']);
                echo "<div align='center'><b>".$locale['ads400']."</b><br />\n<span class='small'>";
                echo $locale['ads401']."</span></div>\n";
                closetable();
        }
		} else {
        if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['car_id']) && isnum($_GET['car_id']))) {
	       $result = dbquery("SELECT * FROM ".DB_ADS." WHERE car_id='".$_GET['car_id']."'");
	       if (dbrows($result)) {
		      $data = dbarray($result);
		      $car_order = $data['car_order'];
		      $car_model = $data['car_model'];
		      $car_year = $data['car_year'];
		      $car_km = $data['car_km'];
		      $car_pris = $data['car_pris'];
		      $car_pic1 = $data['car_pic1'];
		      $car_pic2 = $data['car_pic2'];
		      $car_pic3 = $data['car_pic3'];
		      $car_pic4 = $data['car_pic4'];
		      $car_pic5 = $data['car_pic5'];
		      $car_type = $data['car_type'];
		      $car_fuel = $data['car_fuel'];
		      $car_doors = $data['car_doors'];
		      $car_color = $data['car_color'];
		      $car_udstyr = $data['car_udstyr']; 
		      $formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;car_id=".$data['car_id'];
		      opentable($locale['ads299']);
	      } else {
		      $formaction = FUSION_SELF.$aidlink;
        }
        } else {
		       $car_order = "";
		       $car_model = "";
		       $car_year = "";
		       $car_km = "";
		       $car_pris = "";
		       $car_pic1 = "";
		       $car_pic2 = "";
		       $car_pic3 = "";
		       $car_pic4 = "";
		       $car_pic5 = "";
		       $car_type = "";
		       $car_fuel = "";
		       $car_doors = "";
		       $car_color = "";
		       $car_udstyr = "";
           $formaction = FUSION_SELF.$aidlink;
           opentable($locale['ads200']);
        }
            
    echo "<form name='inputform' method='post' action='$formaction' enctype='multipart/form-data'>
        <table align='center' cellpadding='0' cellspacing='0'>
    <tr>
        <td align='right' class='tbl'>".$locale['ads202']." <span style='color:#ff0000'>*</span></td>\n
        <td class='tbl'><input type='text' name='car_model' value='$car_model' class='textbox' style='width:150px' /></td>\n
    </tr>
    <tr>
        <td align='right' class='tbl'>".$locale['ads203']."</td>\n
        <td class='tbl'><input type='text' name='car_year' value='$car_year' class='textbox' style='width:150px' /></td>\n
    </tr>
    <tr>
        <td align='right' class='tbl'>".$locale['ads210']."</td>\n
        <td class='tbl'><input type='text' name='car_km' value='$car_km' class='textbox' style='width:150px' /></td>\n
    </tr>
    <tr>
        <td align='right' class='tbl'>".$locale['ads211']."</td>\n
        <td class='tbl'><input type='text' name='car_pris' value='$car_pris' class='textbox' style='width:150px' /></td>\n
    </tr>\n";

    echo "<tr>
        <td align='right' class='tbl'>".$locale['ads225']."</td>\n";
if ((isset($_GET['action']) && $_GET['action'] == "edit") && ($car_pic1 && file_exists(IMAGES."cars/".$car_pic1))) {
			echo "<td class='tbl'><img src='".IMAGES."cars/$car_pic1' /><br />";
			echo "<br />\n<a class='small' href='".FUSION_SELF.$aidlink."&amp;action=deletethumb1&amp;car_id=".$_GET['car_id']."'><img src='".INFUSIONS."car_list_panel/images/fail.gif' alt='' />&nbsp;<span style='color:#ff0000'><strong>".$locale['ads224']."</strong></span></a></td>\n";
} else {
			echo "<td class='tbl'><input type='file' name='car_pic1' class='textbox' style='width:245px;' /></td>\n
    </tr>";
}

    echo "<tr>
        <td align='right' class='tbl'>".$locale['ads226']."</td>\n";
if ((isset($_GET['action']) && $_GET['action'] == "edit") && ($car_pic2 && file_exists(IMAGES."cars/".$car_pic2))) {
			echo "<td class='tbl'><img src='".IMAGES."cars/$car_pic2' /><br />";
			echo "<br />\n<a class='small' href='".FUSION_SELF.$aidlink."&amp;action=deletethumb2&amp;car_id=".$_GET['car_id']."'><img src='".INFUSIONS."car_list_panel/images/fail.gif' alt='' />&nbsp;<span style='color:#ff0000'><strong>".$locale['ads224']."</strong></span></a></td>\n";
} else {
			echo "<td class='tbl'><input type='file' name='car_pic2' class='textbox' style='width:245px;' /></td>\n
    </tr>";
}

    echo "<tr>
        <td align='right' class='tbl'>".$locale['ads227']."</td>\n";
if ((isset($_GET['action']) && $_GET['action'] == "edit") && ($car_pic3 && file_exists(IMAGES."cars/".$car_pic3))) {
			echo "<td class='tbl'><img src='".IMAGES."cars/$car_pic3' /><br />";
			echo "<br />\n<a class='small' href='".FUSION_SELF.$aidlink."&amp;action=deletethumb3&amp;car_id=".$_GET['car_id']."'><img src='".INFUSIONS."car_list_panel/images/fail.gif' alt='' />&nbsp;<span style='color:#ff0000'><strong>".$locale['ads224']."</strong></span></a></td>\n";
} else {
			echo "<td class='tbl'><input type='file' name='car_pic3' class='textbox' style='width:245px;' /></td>\n
    </tr>";
}

    echo "<tr>
        <td align='right' class='tbl'>".$locale['ads228']."</td>\n";
if ((isset($_GET['action']) && $_GET['action'] == "edit") && ($car_pic4 && file_exists(IMAGES."cars/".$car_pic4))) {
			echo "<td class='tbl'><img src='".IMAGES."cars/$car_pic4' /><br />";
			echo "<br />\n<a class='small' href='".FUSION_SELF.$aidlink."&amp;action=deletethumb4&amp;car_id=".$_GET['car_id']."'><img src='".INFUSIONS."car_list_panel/images/fail.gif' alt='' />&nbsp;<span style='color:#ff0000'><strong>".$locale['ads224']."</strong></span></a></td>\n";
} else {
			echo "<td class='tbl'><input type='file' name='car_pic4' class='textbox' style='width:245px;' /></td>\n
    </tr>";
}

    echo "<tr>
        <td align='right' class='tbl'>".$locale['ads229']."</td>\n";
if ((isset($_GET['action']) && $_GET['action'] == "edit") && ($car_pic5 && file_exists(IMAGES."cars/".$car_pic5))) {
			echo "<td class='tbl'><img src='".IMAGES."cars/$car_pic5' /><br />";
			echo "<br />\n<a class='small' href='".FUSION_SELF.$aidlink."&amp;action=deletethumb5&amp;car_id=".$_GET['car_id']."'><img src='".INFUSIONS."car_list_panel/images/fail.gif' alt='' />&nbsp;<span style='color:#ff0000'><strong>".$locale['ads224']."</strong></span></a></td>\n";
} else {
			echo "<td class='tbl'><input type='file' name='car_pic5' class='textbox' style='width:245px;' /></td>\n
    </tr>";
}

    echo "<tr>
        <td align='right' class='tbl'>".$locale['ads213']."</td>
        <td class='tbl'><input type='text' name='car_type' value='$car_type' class='textbox' style='width:150px' /></td>\n
    </tr>
    <tr>
        <td align='right' class='tbl'>".$locale['ads231']."</td>
        <td class='tbl'><input type='text' name='car_fuel' value='$car_fuel' class='textbox' style='width:150px' /></td>\n
    </tr>
    <tr>
        <td align='right' class='tbl'>".$locale['ads214']."</td>
        <td class='tbl'><input type='text' name='car_doors' value='$car_doors' class='textbox' style='width:150px' /></td>\n
    </tr>
    <tr>
        <td align='right' class='tbl'>".$locale['ads215']."</td>
        <td class='tbl'><input type='text' name='car_color' value='$car_color' class='textbox' style='width:150px' /></td>\n
    </tr>
    <tr>
        <td align='right' class='tbl'>".$locale['ads216']."</td>
        <td class='tbl'><textarea class='textbox' name='car_udstyr' value='$car_udstyr' rows='4' cols='20' style='width:245px'>".$car_udstyr.(empty($car_udstyr)?"":"")."</textarea></td>\n
        
    </tr>
	  <tr>
        <td align='right' class='tbl'>".$locale['ads201']."</td>
        <td class='tbl'><input type='text' name='car_order' value='$car_order' class='textbox' style='width:25px' /></td>\n
    </tr>
    <tr>
        <td align='right' class='tbl'>".$locale['ads312']."</td>\n
    </tr>
    <tr>
        <td align='right' class='tbl'>".$locale['ads315']."</td>\n
    </tr>  
        </table>\n";
}

      echo "<table align='center' cellpadding='0' cellspacing='0'>\n<tr>\n";
      echo "<td class='tbl'>&nbsp;</td>\n";
      echo "<td colspan='2' align='center' class='tbl'><br /><input type='submit' name='car_submit' value='".$locale['ads208']."' class='button' />&nbsp;";
if (isset($_GET['action']) && $_GET['action'] == "edit") {
      echo "<input type='submit' name='cancel' value='".$locale['ads209']."' class='button' />\n";
}
      echo "</td>\n";
      echo "</tr>\n</table>\n";
      echo "</form>\n";
	closetable();
}

opentable($locale['ads300']);
$result = dbquery("SELECT * FROM ".DB_ADS);
$rows = dbrows($result);
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
if ($rows != 0) {
if (iADMIN) {
    echo "<center>[<a href='".FUSION_SELF.$aidlink."&amp;new_car=1' title='".$locale['ads200']."'>".$locale['ads200']."</a>] |";
    echo "[<a href='".FUSION_SELF.$aidlink."&amp;action=refresh' title='".$locale['ads305']."'>".$locale['ads305']."</a>] |";
    echo "[<a href='".INFUSIONS."car_list_panel/car_list.php' title='".$locale['ads314']."'>".$locale['ads314']."</a>]</center><br />";}
	$i = 1; 
	$result = dbquery("SELECT * FROM ".DB_ADS." ORDER BY car_order DESC LIMIT ".$_GET['rowstart'].",10");
	$numrows = dbrows($result);
	
	while ($data = dbarray($result)) {
		echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n
              <tr>\n
                  <td class='tbl2'>\n
                    <table cellpadding='2' cellspacing='0' width='100%'>\n
                    
                    <tr>\n
                        <td class='small tbl-border' width='17%' valign='top'><b><u>".$locale['ads202']."</u></b></td>\n
                        <td class='small tbl-border' width='12%' valign='top'><b><u>".$locale['ads203']."</u></b></td>\n
                        <td class='small tbl-border' width='15%' valign='top'><b><u>".$locale['ads210']."</u></b></td>\n
                        <td class='small tbl-border' width='10%' valign='top'><b><u>".$locale['ads211']."</u></b></td>\n
                        <td class='small tbl-border' width='44%' valign='top' colspan='6'><b><u>".$locale['ads230']."</u></b></td>\n
		            </tr>\n
                    
                 <tr>\n
                        <td class='small tbl-border' width='17%' valign='top'>".$data['car_model']."</td>\n
                        <td class='small tbl-border' width='12%' valign='top'>".$data['car_year']."</td>\n
                        <td class='small tbl-border' width='15%' valign='top'>".$data['car_km']."</td>\n
                        <td class='small tbl-border' width='10%' valign='top'>".$data['car_pris']."</td>\n";
                        
if ($data['car_pic1']<>"") {
                echo "<td class='small tbl-border' width='75' valign='top' align='right'><img width='75' height='56' src='".IMAGES."cars/".$data['car_pic1']."' title='".$data['car_model']."' /></td>\n";
}
   
if ($data['car_pic2']<>"") {
                echo "<td class='small tbl-border' width='75' valign='top' align='right'><img width='75' height='56' src='".IMAGES."cars/".$data['car_pic2']."' title='".$data['car_model']."' /></td>\n";
}
   
if ($data['car_pic3']<>"") {
                echo "<td class='small tbl-border' width='75' valign='top' align='right'><img width='75' height='56' src='".IMAGES."cars/".$data['car_pic3']."' title='".$data['car_model']."' /></td>\n";
}
   
if ($data['car_pic4']<>"") {
                echo "<td class='small tbl-border' width='75' valign='top' align='right'><img width='75' height='56' src='".IMAGES."cars/".$data['car_pic4']."' title='".$data['car_model']."' /></td>\n";
}
   
if ($data['car_pic5']<>"") {
                echo "<td class='small tbl-border' width='75' valign='top' align='right'><img width='75' height='56' src='".IMAGES."cars/".$data['car_pic5']."' title='".$data['car_model']."' /></td>\n";
}
		            echo "</tr>\n
		            <tr>\n
                        <td class='small tbl-border' width='17%' valign='top'><b><u>".$locale['ads213']."</u></b></td>\n
                        <td class='small tbl-border' width='13%' valign='top'><b><u>".$locale['ads231']."</u></b></td>\n
                        <td class='small tbl-border' width='12%' valign='top'><b><u>".$locale['ads214']."</u></b></td>\n
                        <td class='small tbl-border' width='10%' valign='top'><b><u>".$locale['ads215']."</u></b></td>\n
                        <td class='small tbl-border' width='44%' valign='top' colspan='6'><b><u>".$locale['ads216']."</u></b></td>\n
		            </tr>\n 
		            
		            <tr>\n
                        <td class='small tbl-border' width='17%' valign='top'>".$data['car_type']."</td>\n
                        <td class='small tbl-border' width='13%' valign='top'>".$data['car_fuel']."</td>\n
                        <td class='small tbl-border' width='12%' valign='top'>".$data['car_doors']."</td>\n
                        <td class='small tbl-border' width='10%' valign='top'>".$data['car_color']."</td>\n
                        <td class='small tbl-border' width='44%' valign='top' colspan='6'>".$data['car_udstyr']."</td>\n
		            </tr>\n
                </table>\n
              </td>\n
              </tr>\n
                </table>\n";
   if (iADMIN) {
        echo "<table cellpadding='0' cellspacing='0' width='100%'>
                    <tr>
                       <td align='right' class='small'>".$locale['ads201']."&nbsp;".$data['car_order']."&nbsp;";
                        if ($rows != 1) {
 				          $up = $data['car_order'] + 1;
				          $down = $data['car_order'] - 1;
				          if ($data['car_order'] == 1) {
					      echo "<a href='".FUSION_SELF.$aidlink."&amp;action=movedown&amp;order=".$down."&amp;car_id=".$data['car_id']."'><img src='".THEME."images/down.gif' alt='".$locale['ads303']."' title='".$locale['ads303']."' style='border:0px;'></a>&nbsp;";
				          } elseif ($data['car_order'] < $rows) {
					      echo "<a href='".FUSION_SELF.$aidlink."&amp;action=moveup&amp;order=".$up."&amp;car_id=".$data['car_id']."'><img src='".THEME."images/up.gif' alt='".$locale['ads304']."' title='".$locale['ads304']."' style='border:0px;'></a>&nbsp;";
					      echo "<a href='".FUSION_SELF.$aidlink."&amp;action=movedown&amp;order=".$down."&amp;car_id=".$data['car_id']."'><img src='".THEME."images/down.gif' alt='".$locale['ads303']."' title='".$locale['ads303']."' style='border:0px;'></a>&nbsp;";
				          } else {
					      echo "<a href='".FUSION_SELF.$aidlink."&amp;action=moveup&amp;order=".$up."&amp;car_id=".$data['car_id']."'><img src='".THEME."images/up.gif' alt='".$locale['ads304']."' title='".$locale['ads304']."' style='border:0px;'></a>&nbsp;";
				          }
                  }
                echo"  [<a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;car_id=".$data['car_id']."'>".$locale['ads301']."</a>] |
                         [<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;car_id=".$data['car_id']."' onClick='return DeleteMessage();'>".$locale['ads302']."</a>]
                       </td>
                    </tr>
                    </table>";
           }
           
      if ($i != $numrows) echo "<br />\n";
		  $i++;
	}
} else {
      echo "<center><br />\n".$locale['ads308']."<br /><br />\n";
if (iADMIN) {
      echo "[ <a href='".FUSION_SELF.$aidlink."&amp;new_car=1'>".$locale['ads200']."</a> ] <br /><br />\n";
}
      echo "</center>\n";
}
closetable();

if ($rows != 0) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($_GET['rowstart'],10,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n";

echo "<script>
function DeleteMessage()
{
	return confirm(\"".$locale['ads309']."\");
}
</script>\n";

require_once THEMES."templates/footer.php";
?>