<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: car_desc.php
| Author : Smokeman
| Email: smokeman@esenet.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."car_list_panel/infusion_db.php";

if (file_exists(INFUSIONS."car_list_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."car_list_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."car_list_panel/locale/English.php";
}
add_to_title(" - ".$locale['ads000']."");

global $settings;
	
if (isset($_GET['car_id']) && isnum($_GET['car_id'])) {
$result = dbquery("SELECT * FROM ".DB_ADS." WHERE car_id='".$_GET['car_id']."'");
if (dbrows($result)){
		$data = dbarray($result);
		$car_order = $data['car_order'];
		$car_model = $data['car_model'];
		$car_year = $data['car_year'];
		$car_km = $data['car_km'];
		$car_pris = $data['car_pris'];
		$car_pic1 = $data['car_pic1'];
		$car_type = $data['car_type'];
		$car_fuel = $data['car_fuel'];
		$car_doors = $data['car_doors'];
		$car_color = $data['car_color'];
		$car_udstyr = $data['car_udstyr'];
		$formaction = FUSION_SELF."&amp;action=view&amp;car_id=".$data['car_id'];

if (isset($_GET['action']) && $_GET['action'] == "view") {

opentable("".$data['car_model']." - ".$locale['ads233']."");

echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
echo "<td valign='top' align='left' width='33%'><b><u>".$data['car_model']."</u></b><br /></td>\n";
if (iADMIN){
$edit_car = "".INFUSIONS."car_list_panel/car_list_panel_admin.php".$aidlink."&amp;action=edit&amp;car_id=".$data['car_id']."";
echo "<td valign='top' align='center' width='33%'><a href='".$edit_car."' title='".$locale['ads012']."'>".$locale['ads012']."</a></td>\n";
}
echo "<td valign='top' align='right' width='33%'></td>\n";
echo "</tr>\n</table>\n";

echo "<table width='100%'>\n<tr>\n";
echo "<td width='14%' align='left' valign='top'>\n";

echo "<table border='0' width='100%'>\n<tr>\n";
echo "<td valign='top'>".$locale['ads217']."&nbsp;</td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top'>".$locale['ads232']."&nbsp;</td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top'>".$locale['ads218']."&nbsp;</td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top'>".$locale['ads219']."&nbsp;</td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top'>".$locale['ads220']."&nbsp;</td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top'>".$locale['ads221']."&nbsp;</td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top'>".$locale['ads222']."&nbsp;</td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top'>".$locale['ads223']."&nbsp;</td>\n";
echo "</tr>\n</table>\n";

echo "</td>\n<td width='33%' align='left' valign='top'>\n";

echo "<table border='0' width='100%'>\n<tr>\n";
echo "<td valign='top'>".$data['car_type']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top'>".$data['car_fuel']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top'>".$data['car_year']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top'>".$data['car_km']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top'>".$data['car_pris']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top'>".$data['car_doors']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top'>".$data['car_color']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top'>".$data['car_udstyr']."</td>\n";
echo "</tr>\n</table>\n";

echo "</td>\n<td width='100%' align='right' valign='top'>\n";

echo "<table border='0' width='100%' cellspacing='0' cellpadding='0'>\n<tr>\n";
echo "<td valign='top' align='right' width='100%'><img name='coverimg' id='coverimg' src='".IMAGES."cars/".$data['car_pic1']."' width='300' height='224' alt='' border='0' /></td>\n";
echo "</tr>\n</table>\n";

echo "</td>\n<td width='79' align='center' valign='top'>\n";

echo "<table border='0' width='100%' cellspacing='0' cellpadding='0'>\n";

if ($data['car_pic1']<>"") {
echo "<tr valign='top' style='height:60px; width:79px;'><td valign='top'><a onmouseover=\"document.getElementById('coverimg').src = '".IMAGES."cars/".$data['car_pic1']."'\" style=\"width:300px; height:224px; border: 0px;\" onmouseout=\"window.status=''; return true;\" href=\"#\"><img src='".IMAGES."cars/".$data['car_pic1']."' border='0' width='75' height='56' onerror=\"this.style.display='none'\" alt='' /></a></td>\n</tr>\n";
}
 
if ($data['car_pic2']<>"") {
echo "<tr valign='top' style='height:60px; width:79px;'><td valign='top'><a onmouseover=\"document.getElementById('coverimg').src = '".IMAGES."cars/".$data['car_pic2']."'\" style=\"width:300px; height:224px; border: 0px;\" onmouseout=\"window.status=''; return true;\" href=\"#\"><img src='".IMAGES."cars/".$data['car_pic2']."' border='0' width='75' height='56' onerror=\"this.style.display='none'\" alt='' /></a></td>\n</tr>\n";
}
 
if ($data['car_pic3']<>"") {
echo "<tr valign='top' style='height:60px; width:79px;'><td valign='top'><a onmouseover=\"document.getElementById('coverimg').src = '".IMAGES."cars/".$data['car_pic3']."'\" style=\"width:300px; height:224px; border: 0px;\" onmouseout=\"window.status=''; return true;\" href=\"#\"><img src='".IMAGES."cars/".$data['car_pic3']."' border='0' width='75' height='56' onerror=\"this.style.display='none'\" alt='' /></a></td>\n</tr>\n";
}
 
if ($data['car_pic4']<>"") {
echo "<tr valign='top' style='height:60px; width:79px;'><td valign='top'><a onmouseover=\"document.getElementById('coverimg').src = '".IMAGES."cars/".$data['car_pic4']."'\" style=\"width:300px; height:224px; border: 0px;\" onmouseout=\"window.status=''; return true;\" href=\"#\"><img src='".IMAGES."cars/".$data['car_pic4']."' border='0' width='75' height='56' onerror=\"this.style.display='none'\" alt='' /></a></td>\n</tr>\n";
}
 
if ($data['car_pic5']<>"") {
echo "<tr valign='top' style='height:60px; width:79px;'><td valign='top'><a onmouseover=\"document.getElementById('coverimg').src = '".IMAGES."cars/".$data['car_pic5']."'\" style=\"width:300px; height:224px; border: 0px;\" onmouseout=\"window.status=''; return true;\" href=\"#\"><img src='".IMAGES."cars/".$data['car_pic5']."' border='0' width='75' height='56' onerror=\"this.style.display='none'\" alt='' /></a></td>\n</tr>\n";
}
/* else {
echo "<tr>\n";
echo "<td valign='top' width='79'></td>\n";
echo "</tr>\n";
}*/

echo "</table>\n";

echo "</td>\n";
echo "</tr>\n</table>\n";

echo "<table cellspacing='0' cellpadding='0'>\n<tr>\n";
echo "<td align='left'><a href='javascript:history.back()' title='".$locale['ads310']."'>";
echo "<img src='".INFUSIONS."car_list_panel/images/retur.gif' border='0' style='vertical-align: bottom;' alt='".$locale['ads310']."' /></a>&nbsp;&nbsp;";
echo "<a href='#' onclick='print();' title='".$locale['ads313']."'><img src='".THEME."images/printer.gif' border='0' style='vertical-align: bottom;' alt='".$locale['ads313']."' /></a></td>\n";
echo "</tr>\n</table>\n";

closetable();
}
}
}

require_once THEMES."templates/footer.php";

?>