<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: car_list.php
| Author : Smokeman
| Email: smokeman@esenet.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."car_list_panel/infusion_db.php";

if (file_exists(INFUSIONS."car_list_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."car_list_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."car_list_panel/locale/English.php";
}
add_to_title(" - ".$locale['ads000']."");

$result = dbquery("SELECT * FROM ".DB_ADS);
$rows = dbrows($result);
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
if ($rows != 0) {

global $settings;
$i = 1; 
$result = dbquery("SELECT * FROM ".DB_ADS." ORDER BY car_model ASC LIMIT ".$_GET['rowstart'].",10");
$numrows = dbrows($result);
		
if (isset($_GET['car_id']) && isnum($_GET['car_id'])) {
          $result = dbquery("SELECT * FROM ".DB_ADS." WHERE car_id='".$_GET['car_id']."'");
                  if (dbrows($result)) {
		      $data = dbarray($result);
		      $car_order = $data['car_order'];
		      $car_model = $data['car_model'];
		      $car_year = $data['car_year'];
		      $car_km = $data['car_km'];
		      $car_pris = $data['car_pris'];
		      $car_pic1 = $data['car_pic1'];
		      $car_type = $data['car_type'];
		      $car_doors = $data['car_doors'];
		      $car_color = $data['car_color'];
		      $car_udstyr = $data['car_udstyr'];
		      $formaction = FUSION_SELF."&amp;action=view&amp;car_id=".$data['car_id'];
  }
}	
  opentable($locale['ads000']);
   echo "<div style='text-align: center; width: 100%;'><form name='myForm' method='post' action='search.php'>
  ".$locale['ads010']."
  <input type='text' class='textbox' name='SEARCHSTRING' />&nbsp;
  <input type='submit' name='btn_add' value='".$locale['ads311']."' class='button' />
  </form></div>";
  
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td align='left' width='33%' valign='middle'><a href='javascript:history.back()' title='".$locale['ads310']."'><img src='".INFUSIONS."car_list_panel/images/retur.gif' border='0' style='vertical-align:middle;' alt='".$locale['ads310']."' /></a>&nbsp;&nbsp;<a href='#' onclick='print();' title='".$locale['ads313']."'><img src='".THEME."images/printer.gif' border='0' style='vertical-align: bottom;' alt='".$locale['ads313']."' /></a></td>\n";
	if (iADMIN) {
  echo "<td align='center' width='33%'><a href='".INFUSIONS."car_list_panel/car_list_panel_admin.php".$aidlink."' title='".$locale['ads002']."'>".$locale['ads002']."</a></td>\n";
  }
	echo "<td align='right' width='33%'>".$locale['ads011']." <a href='".BASEDIR."contact.php' title='".$locale['ads005']."'>".$locale['ads006']."</a>.</td>\n";
	echo "</tr>\n</table>\n";
  
  echo "<table cellpadding='2' cellspacing='2' width='100%'>\n<tr>\n";
  echo "<td class='tbl-border tbl2' width='45%' valign='top'><b><u>".$locale['ads202']."</u></b></td>\n";
  echo "<td class='tbl-border tbl2' width='12%' valign='top'><b><u>".$locale['ads203']."</u></b></td>\n";
  echo "<td class='tbl-border tbl2' width='14%' valign='top'><b><u>".$locale['ads210']."</u></b></td>\n";
  echo "<td class='tbl-border tbl2' width='12%' valign='top'><b><u>".$locale['ads211']."</u></b></td>\n";
  echo "<td class='tbl-border tbl2' width='17%' valign='top'><b><u>".$locale['ads212']."</u></b></td>\n";
  echo "</tr>\n</table>\n";
	
        while ($data = dbarray($result)) {
  echo "<table cellpadding='2' cellspacing='2' width='100%'>\n<tr>\n";
  echo "<td class='tbl-border tbl1' width='45%' valign='top'><a href='".INFUSIONS."car_list_panel/car_desc.php?action=view&amp;car_id=".$data['car_id']."' title='".$data['car_model']."'>".$data['car_model']."</a></td>\n";
  echo "<td class='tbl-border tbl1' width='12%' valign='top'>".$data['car_year']."</td>\n";
  echo "<td class='tbl-border tbl1' width='14%' valign='top'>".$data['car_km']."</td>\n";
  echo "<td class='tbl-border tbl1' width='12%' valign='top'>".$data['car_pris']."</td>\n";
  echo "<td class='tbl-border tbl1' width='17%' valign='top'><a href='".INFUSIONS."car_list_panel/car_desc.php?action=view&amp;car_id=".$data['car_id']."' title='".$data['car_model']."'><img width='75' height='56' src='".IMAGES."cars/".$data['car_pic1']."' alt='".$data['car_model']."' border='0' /></a></td>\n";
  echo "</tr>\n</table>\n";
                
}
  closetable();
  
} else {
  opentable($locale['ads000']);
  echo "<div style='width:100%;' align='center'>".$locale['ads001']."</div>";
  closetable();
}

if ($rows != 0) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($_GET['rowstart'],10,$rows,3,FUSION_SELF."?")."\n</div>\n";

require_once THEMES."templates/footer.php";

?>