<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: infusion.php
| Author : Smokeman
| Email: smokeman@esenet.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."car_list_panel/infusion_db.php";

if (file_exists(INFUSIONS."car_list_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."car_list_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."car_list_panel/locale/English.php";
}

$inf_title = $locale['ads100'];
$inf_description = $locale['ads101'];
$inf_version = "1.0";
$inf_developer = "Smokeman";
$inf_email = "smokeman@esenet.dk";
$inf_weburl = "http://www.phpfusion-tips.dk/";

$inf_folder = "car_list_panel";

$inf_newtable[1] = DB_ADS." (
car_id SMALLINT(3) NOT NULL,
car_order SMALLINT(2) NOT NULL,
car_model VARCHAR(50) NOT NULL DEFAULT '',
car_year VARCHAR(50) NOT NULL,
car_km VARCHAR(100) NOT NULL,
car_pris VARCHAR(50) NOT NULL,
car_pic1 VARCHAR(50) DEFAULT '',
car_pic2 VARCHAR(50) DEFAULT '',
car_pic3 VARCHAR(50) DEFAULT '',
car_pic4 VARCHAR(50) DEFAULT '',
car_pic5 VARCHAR(50) DEFAULT '',
car_type VARCHAR(50) NOT NULL,
car_fuel VARCHAR(50) NOT NULL,
car_doors VARCHAR(10) NOT NULL,
car_color VARCHAR(50) NOT NULL,
car_udstyr VARCHAR(250) NOT NULL,

PRIMARY KEY (car_id)
) TYPE=MyISAM;";
	
$inf_droptable[1] = DB_ADS;

$inf_adminpanel[1] = array(
	"title" => $locale['ads100'],
	"image" => "ads.jpg",
	"panel" => "car_list_panel_admin.php",
	"rights" => "ADS"
);

$inf_sitelink[1] = array(
	"title" => $locale['ads102'],
	"url" => "car_list.php",
	"visibility" => "0"
);

?>